StarObjectSmallText Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
StarObjectSmallText Class Reference

the main class to read a small StarOffice text zone More...

`#include <StarObjectSmallText.hxx>`

Inheritance diagram for StarObjectSmallText:

## Public Member Functions
| StarObjectSmallText (StarObject const &orig, bool duplicateState)
| constructor More...
| ~StarObjectSmallText () override
| destructor More...
bool | read (StarZone &zone, long lastPos)
| try to read a small text object More...
bool | send (std::shared_ptr< STOFFListener > listener, int level=-1)
| try to send a small text zone More...
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > directory)
| constructor More...
virtual | ~StarObject ()
| destructor More...
bool | parse ()
| try to parse data More...
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind More...
char const * | getPassword () const
| returns the document password (the password given by the user) More...
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory More...
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager More...
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager More...
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation) More...
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data More...
void | cleanPools ()
| clean each pool More...
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document More...
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it. More...
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool More...
bool | readPersistData (StarZone &zone, long endPos, bool inPersistElements=false)
| try to read persist data More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item More...

## Protected Attributes
std::shared_ptr< StarObjectSmallTextInternal::State > | m_textState
| the state More...
Protected Attributes inherited from StarObject
char const * | m_password
| the document password More...
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser More...
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory More...
std::shared_ptr< StarObjectInternal::State > | m_state
| the state More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Private Member Functions
StarObjectSmallText & | operator= (StarObjectSmallText const &orig)=delete

## Additional Inherited Members
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object More...
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation" More...
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview" More...
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows" More...
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File" More...
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File" More...
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor More...

## Detailed Description

the main class to read a small StarOffice text zone

## Constructor & Destructor Documentation

## ◆ StarObjectSmallText()

StarObjectSmallText::StarObjectSmallText | ( | StarObject const & | orig,
|  | bool | duplicateState
| ) |  |

constructor

## ◆ ~StarObjectSmallText()

StarObjectSmallText::~StarObjectSmallText | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ operator=()

StarObjectSmallText& StarObjectSmallText::operator= | ( | StarObjectSmallText const & | orig | ) |
| privatedelete

## ◆ read()

bool StarObjectSmallText::read | ( | StarZone & | zone,
|  | long | lastPos
| ) |  |

try to read a small text object

## ◆ send()

bool StarObjectSmallText::send | ( | std::shared_ptr< STOFFListener > | listener,
|  | int | level = `-1`
| ) |  |

try to send a small text zone

## Member Data Documentation

## ◆ m_textState

std::shared_ptr<StarObjectSmallTextInternal::State> StarObjectSmallText::m_textState
| protected

the state

Referenced by read(), and send().

The documentation for this class was generated from the following files:

- StarObjectSmallText.hxx
- StarObjectSmallText.cxx